#ifndef WTRUNTIME_ROUTINES_H
#define WTRUNTIME_ROUTINES_H

#include "config.h"
#include "types.h"
#include "wtruntime.h"

static const wt_u16 wtr_routine_tcl_ja[] =
{
	((WT_TOMB_OP_TSZ   << WT_TOMB_OPCODEBITS)),
	((WT_TOMB_OP_JF_I  << WT_TOMB_OPCODEBITS)|((+3) & WT_TOMB_OPDATAMASK)),
	((WT_TOMB_OP_TTD   << WT_TOMB_OPCODEBITS)),
	((WT_TOMB_OP_JMP_I << WT_TOMB_OPCODEBITS)|((-3) & WT_TOMB_OPDATAMASK)),
	((WT_TOMB_OP_JA_S  << WT_TOMB_OPCODEBITS))
};

static const wt_u16 wtr_routine_tcl_leave[] =
{
	((WT_TOMB_OP_TSZ   << WT_TOMB_OPCODEBITS)),
	((WT_TOMB_OP_JF_I  << WT_TOMB_OPCODEBITS)|((+3) & WT_TOMB_OPDATAMASK)),
	((WT_TOMB_OP_TTD   << WT_TOMB_OPCODEBITS)),
	((WT_TOMB_OP_JMP_I << WT_TOMB_OPCODEBITS)|((-3) & WT_TOMB_OPDATAMASK)),
	((WT_TOMB_OP_LEAVE << WT_TOMB_OPCODEBITS))
};

static const wt_u16 wtr_routine_strd_leave[] =
{
	((WT_TOMB_OP_STRD  << WT_TOMB_OPCODEBITS)),
	((WT_TOMB_OP_LEAVE << WT_TOMB_OPCODEBITS))
};

static const wt_u32 wtr_routine_cfp_leave[] =
{
	((WT_TOMB_OP_CFP   << WT_TOMB_OPCODEBITS)),
	((WT_TOMB_OP_LEAVE << WT_TOMB_OPCODEBITS))
};

#endif /* WTRUNTIME_ROUTINES_H */
